import { tags } from "typia";
export declare namespace IApiOrgsCodeSecurityConfigurationsAttach {
    type PostHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The unique identifier of the code security configuration.
         */
        configuration_id: number & tags.Type<"int32">;
    };
}
