export declare namespace IApiOrgsDependabotSecrets {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The name of the secret.
         */
        secret_name: string;
    };
    type PutHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The name of the secret.
         */
        secret_name: string;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The name of the secret.
         */
        secret_name: string;
    };
}
