import { tags } from "typia";
export declare namespace IApiTeamsProjects {
    type GetHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The unique identifier of the project.
         */
        project_id: number & tags.Type<"int32">;
    };
    type PutHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The unique identifier of the project.
         */
        project_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The unique identifier of the project.
         */
        project_id: number & tags.Type<"int32">;
    };
}
