import { enterprise_minus_webhooks } from "./enterprise_minus_webhooks";
import { organization_minus_simple_minus_webhooks } from "./organization_minus_simple_minus_webhooks";
import { simple_minus_installation } from "./simple_minus_installation";
import { simple_minus_user_minus_webhooks } from "./simple_minus_user_minus_webhooks";
/**
 * @title custom property deleted event
 */
export type webhook_minus_custom_minus_property_minus_deleted = {
    action: "deleted";
    definition: {
        /**
         * The name of the property that was deleted.
         */
        property_name: string;
    };
    enterprise?: enterprise_minus_webhooks;
    installation?: simple_minus_installation;
    organization?: organization_minus_simple_minus_webhooks;
    sender?: simple_minus_user_minus_webhooks;
};
