import { enterprise_minus_webhooks } from "./enterprise_minus_webhooks";
import { organization_minus_simple_minus_webhooks } from "./organization_minus_simple_minus_webhooks";
import { repository_minus_ruleset } from "./repository_minus_ruleset";
import { repository_minus_webhooks } from "./repository_minus_webhooks";
import { simple_minus_installation } from "./simple_minus_installation";
import { simple_minus_user_minus_webhooks } from "./simple_minus_user_minus_webhooks";
/**
 * @title repository ruleset deleted event
 */
export type webhook_minus_repository_minus_ruleset_minus_deleted = {
    action: "deleted";
    enterprise?: enterprise_minus_webhooks;
    installation?: simple_minus_installation;
    organization?: organization_minus_simple_minus_webhooks;
    repository?: repository_minus_webhooks;
    repository_ruleset: repository_minus_ruleset;
    sender: simple_minus_user_minus_webhooks;
};
