"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.zen = exports.versions = exports.users = exports.user = exports.teams = exports.search = exports.repositories = exports.repos = exports.rate_limit = exports.projects = exports.orgs = exports.organizations = exports.notifications = exports.networks = exports.meta = exports.marketplace_listing = exports.licenses = exports.issues = exports.installation = exports.gitignore = exports.gists = exports.feeds = exports.events = exports.enterprises = exports.emojis = exports.codes_of_conduct = exports.classrooms = exports.assignments = exports.apps = exports.applications = exports.app_manifests = exports.app = exports.advisories = void 0;
exports.get = get;
var PlainFetcher_1 = require("@nestia/fetcher/lib/PlainFetcher");
var typia_1 = __importDefault(require("typia"));
exports.advisories = __importStar(require("./advisories"));
exports.app = __importStar(require("./app"));
exports.app_manifests = __importStar(require("./app_manifests"));
exports.applications = __importStar(require("./applications"));
exports.apps = __importStar(require("./apps"));
exports.assignments = __importStar(require("./assignments"));
exports.classrooms = __importStar(require("./classrooms"));
exports.codes_of_conduct = __importStar(require("./codes_of_conduct"));
exports.emojis = __importStar(require("./emojis"));
exports.enterprises = __importStar(require("./enterprises"));
exports.events = __importStar(require("./events"));
exports.feeds = __importStar(require("./feeds"));
exports.gists = __importStar(require("./gists"));
exports.gitignore = __importStar(require("./gitignore"));
exports.installation = __importStar(require("./installation"));
exports.issues = __importStar(require("./issues"));
exports.licenses = __importStar(require("./licenses"));
exports.marketplace_listing = __importStar(require("./marketplace_listing"));
exports.meta = __importStar(require("./meta"));
exports.networks = __importStar(require("./networks"));
exports.notifications = __importStar(require("./notifications"));
exports.organizations = __importStar(require("./organizations"));
exports.orgs = __importStar(require("./orgs"));
exports.projects = __importStar(require("./projects"));
exports.rate_limit = __importStar(require("./rate_limit"));
exports.repos = __importStar(require("./repos"));
exports.repositories = __importStar(require("./repositories"));
exports.search = __importStar(require("./search"));
exports.teams = __importStar(require("./teams"));
exports.user = __importStar(require("./user"));
exports.users = __importStar(require("./users"));
exports.versions = __importStar(require("./versions"));
exports.zen = __importStar(require("./zen"));
/**
 * GitHub API Root.
 * Get Hypermedia links to resources accessible in GitHub's REST API
 *
 * @tag meta
 * @path
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function get(connection) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? get.simulate(connection)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, get.METADATA), { path: get.path(), status: null }))];
        });
    });
}
(function (get) {
    get.METADATA = {
        method: "GET",
        path: "/",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    get.path = function () { return "/"; };
    get.random = function (g) { return (function () { var $generator = typia_1.default.random.generator; var $pick = typia_1.default.random.pick; var $ro0 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, _55, _56, _57, _58, _59, _60, _61, _62, _63, _64, _65, _66, _67, _68, _69, _70, _71, _72, _73, _74, _75, _76, _77, _78, _79, _80, _81, _82, _83, _84, _85, _86, _87, _88, _89, _90, _91, _92, _93, _94, _95, _96, _97, _98, _99, _100, _101, _102, _103, _104, _105, _106, _107, _108, _109, _110, _111, _112, _113, _114, _115, _116, _117, _118, _119, _120, _121, _122, _123, _124, _125, _126, _127, _128, _129, _130;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            current_user_url: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _e !== void 0 ? _e : $generator.uriTemplate)(),
            current_user_authorizations_html_url: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.string) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _k !== void 0 ? _k : $generator.uriTemplate)(),
            authorizations_url: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.string) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _q !== void 0 ? _q : $generator.uriTemplate)(),
            code_search_url: (_u = (_t = (_s = ((_r = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _r !== void 0 ? _r : $generator.customs)) === null || _s === void 0 ? void 0 : _s.string) === null || _t === void 0 ? void 0 : _t.call(_s, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _u !== void 0 ? _u : ((_v = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _v !== void 0 ? _v : $generator.uriTemplate)(),
            commit_search_url: (_z = (_y = (_x = ((_w = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _w !== void 0 ? _w : $generator.customs)) === null || _x === void 0 ? void 0 : _x.string) === null || _y === void 0 ? void 0 : _y.call(_x, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _z !== void 0 ? _z : ((_0 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _0 !== void 0 ? _0 : $generator.uriTemplate)(),
            emails_url: (_4 = (_3 = (_2 = ((_1 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _1 !== void 0 ? _1 : $generator.customs)) === null || _2 === void 0 ? void 0 : _2.string) === null || _3 === void 0 ? void 0 : _3.call(_2, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _4 !== void 0 ? _4 : ((_5 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _5 !== void 0 ? _5 : $generator.uriTemplate)(),
            emojis_url: (_9 = (_8 = (_7 = ((_6 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _6 !== void 0 ? _6 : $generator.customs)) === null || _7 === void 0 ? void 0 : _7.string) === null || _8 === void 0 ? void 0 : _8.call(_7, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _9 !== void 0 ? _9 : ((_10 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _10 !== void 0 ? _10 : $generator.uriTemplate)(),
            events_url: (_14 = (_13 = (_12 = ((_11 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _11 !== void 0 ? _11 : $generator.customs)) === null || _12 === void 0 ? void 0 : _12.string) === null || _13 === void 0 ? void 0 : _13.call(_12, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _14 !== void 0 ? _14 : ((_15 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _15 !== void 0 ? _15 : $generator.uriTemplate)(),
            feeds_url: (_19 = (_18 = (_17 = ((_16 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _16 !== void 0 ? _16 : $generator.customs)) === null || _17 === void 0 ? void 0 : _17.string) === null || _18 === void 0 ? void 0 : _18.call(_17, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _19 !== void 0 ? _19 : ((_20 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _20 !== void 0 ? _20 : $generator.uriTemplate)(),
            followers_url: (_24 = (_23 = (_22 = ((_21 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _21 !== void 0 ? _21 : $generator.customs)) === null || _22 === void 0 ? void 0 : _22.string) === null || _23 === void 0 ? void 0 : _23.call(_22, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _24 !== void 0 ? _24 : ((_25 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _25 !== void 0 ? _25 : $generator.uriTemplate)(),
            following_url: (_29 = (_28 = (_27 = ((_26 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _26 !== void 0 ? _26 : $generator.customs)) === null || _27 === void 0 ? void 0 : _27.string) === null || _28 === void 0 ? void 0 : _28.call(_27, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _29 !== void 0 ? _29 : ((_30 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _30 !== void 0 ? _30 : $generator.uriTemplate)(),
            gists_url: (_34 = (_33 = (_32 = ((_31 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _31 !== void 0 ? _31 : $generator.customs)) === null || _32 === void 0 ? void 0 : _32.string) === null || _33 === void 0 ? void 0 : _33.call(_32, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _34 !== void 0 ? _34 : ((_35 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _35 !== void 0 ? _35 : $generator.uriTemplate)(),
            hub_url: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"uri-template\">",
                        kind: "format",
                        value: "uri-template"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _e !== void 0 ? _e : $generator.uriTemplate)(); }
            ])(),
            issue_search_url: (_39 = (_38 = (_37 = ((_36 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _36 !== void 0 ? _36 : $generator.customs)) === null || _37 === void 0 ? void 0 : _37.string) === null || _38 === void 0 ? void 0 : _38.call(_37, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _39 !== void 0 ? _39 : ((_40 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _40 !== void 0 ? _40 : $generator.uriTemplate)(),
            issues_url: (_44 = (_43 = (_42 = ((_41 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _41 !== void 0 ? _41 : $generator.customs)) === null || _42 === void 0 ? void 0 : _42.string) === null || _43 === void 0 ? void 0 : _43.call(_42, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _44 !== void 0 ? _44 : ((_45 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _45 !== void 0 ? _45 : $generator.uriTemplate)(),
            keys_url: (_49 = (_48 = (_47 = ((_46 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _46 !== void 0 ? _46 : $generator.customs)) === null || _47 === void 0 ? void 0 : _47.string) === null || _48 === void 0 ? void 0 : _48.call(_47, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _49 !== void 0 ? _49 : ((_50 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _50 !== void 0 ? _50 : $generator.uriTemplate)(),
            label_search_url: (_54 = (_53 = (_52 = ((_51 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _51 !== void 0 ? _51 : $generator.customs)) === null || _52 === void 0 ? void 0 : _52.string) === null || _53 === void 0 ? void 0 : _53.call(_52, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _54 !== void 0 ? _54 : ((_55 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _55 !== void 0 ? _55 : $generator.uriTemplate)(),
            notifications_url: (_59 = (_58 = (_57 = ((_56 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _56 !== void 0 ? _56 : $generator.customs)) === null || _57 === void 0 ? void 0 : _57.string) === null || _58 === void 0 ? void 0 : _58.call(_57, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _59 !== void 0 ? _59 : ((_60 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _60 !== void 0 ? _60 : $generator.uriTemplate)(),
            organization_url: (_64 = (_63 = (_62 = ((_61 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _61 !== void 0 ? _61 : $generator.customs)) === null || _62 === void 0 ? void 0 : _62.string) === null || _63 === void 0 ? void 0 : _63.call(_62, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _64 !== void 0 ? _64 : ((_65 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _65 !== void 0 ? _65 : $generator.uriTemplate)(),
            organization_repositories_url: (_69 = (_68 = (_67 = ((_66 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _66 !== void 0 ? _66 : $generator.customs)) === null || _67 === void 0 ? void 0 : _67.string) === null || _68 === void 0 ? void 0 : _68.call(_67, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _69 !== void 0 ? _69 : ((_70 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _70 !== void 0 ? _70 : $generator.uriTemplate)(),
            organization_teams_url: (_74 = (_73 = (_72 = ((_71 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _71 !== void 0 ? _71 : $generator.customs)) === null || _72 === void 0 ? void 0 : _72.string) === null || _73 === void 0 ? void 0 : _73.call(_72, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _74 !== void 0 ? _74 : ((_75 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _75 !== void 0 ? _75 : $generator.uriTemplate)(),
            public_gists_url: (_79 = (_78 = (_77 = ((_76 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _76 !== void 0 ? _76 : $generator.customs)) === null || _77 === void 0 ? void 0 : _77.string) === null || _78 === void 0 ? void 0 : _78.call(_77, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _79 !== void 0 ? _79 : ((_80 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _80 !== void 0 ? _80 : $generator.uriTemplate)(),
            rate_limit_url: (_84 = (_83 = (_82 = ((_81 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _81 !== void 0 ? _81 : $generator.customs)) === null || _82 === void 0 ? void 0 : _82.string) === null || _83 === void 0 ? void 0 : _83.call(_82, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _84 !== void 0 ? _84 : ((_85 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _85 !== void 0 ? _85 : $generator.uriTemplate)(),
            repository_url: (_89 = (_88 = (_87 = ((_86 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _86 !== void 0 ? _86 : $generator.customs)) === null || _87 === void 0 ? void 0 : _87.string) === null || _88 === void 0 ? void 0 : _88.call(_87, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _89 !== void 0 ? _89 : ((_90 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _90 !== void 0 ? _90 : $generator.uriTemplate)(),
            repository_search_url: (_94 = (_93 = (_92 = ((_91 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _91 !== void 0 ? _91 : $generator.customs)) === null || _92 === void 0 ? void 0 : _92.string) === null || _93 === void 0 ? void 0 : _93.call(_92, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _94 !== void 0 ? _94 : ((_95 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _95 !== void 0 ? _95 : $generator.uriTemplate)(),
            current_user_repositories_url: (_99 = (_98 = (_97 = ((_96 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _96 !== void 0 ? _96 : $generator.customs)) === null || _97 === void 0 ? void 0 : _97.string) === null || _98 === void 0 ? void 0 : _98.call(_97, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _99 !== void 0 ? _99 : ((_100 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _100 !== void 0 ? _100 : $generator.uriTemplate)(),
            starred_url: (_104 = (_103 = (_102 = ((_101 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _101 !== void 0 ? _101 : $generator.customs)) === null || _102 === void 0 ? void 0 : _102.string) === null || _103 === void 0 ? void 0 : _103.call(_102, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _104 !== void 0 ? _104 : ((_105 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _105 !== void 0 ? _105 : $generator.uriTemplate)(),
            starred_gists_url: (_109 = (_108 = (_107 = ((_106 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _106 !== void 0 ? _106 : $generator.customs)) === null || _107 === void 0 ? void 0 : _107.string) === null || _108 === void 0 ? void 0 : _108.call(_107, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _109 !== void 0 ? _109 : ((_110 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _110 !== void 0 ? _110 : $generator.uriTemplate)(),
            topic_search_url: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"uri-template\">",
                        kind: "format",
                        value: "uri-template"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _e !== void 0 ? _e : $generator.uriTemplate)(); }
            ])(),
            user_url: (_114 = (_113 = (_112 = ((_111 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _111 !== void 0 ? _111 : $generator.customs)) === null || _112 === void 0 ? void 0 : _112.string) === null || _113 === void 0 ? void 0 : _113.call(_112, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _114 !== void 0 ? _114 : ((_115 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _115 !== void 0 ? _115 : $generator.uriTemplate)(),
            user_organizations_url: (_119 = (_118 = (_117 = ((_116 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _116 !== void 0 ? _116 : $generator.customs)) === null || _117 === void 0 ? void 0 : _117.string) === null || _118 === void 0 ? void 0 : _118.call(_117, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _119 !== void 0 ? _119 : ((_120 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _120 !== void 0 ? _120 : $generator.uriTemplate)(),
            user_repositories_url: (_124 = (_123 = (_122 = ((_121 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _121 !== void 0 ? _121 : $generator.customs)) === null || _122 === void 0 ? void 0 : _122.string) === null || _123 === void 0 ? void 0 : _123.call(_122, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _124 !== void 0 ? _124 : ((_125 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _125 !== void 0 ? _125 : $generator.uriTemplate)(),
            user_search_url: (_129 = (_128 = (_127 = ((_126 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _126 !== void 0 ? _126 : $generator.customs)) === null || _127 === void 0 ? void 0 : _127.string) === null || _128 === void 0 ? void 0 : _128.call(_127, [
                {
                    name: "Format<\"uri-template\">",
                    kind: "format",
                    value: "uri-template"
                }
            ])) !== null && _129 !== void 0 ? _129 : ((_130 = _generator === null || _generator === void 0 ? void 0 : _generator.uriTemplate) !== null && _130 !== void 0 ? _130 : $generator.uriTemplate)()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $ro0();
    }; })()(g); };
    get.simulate = function (connection) {
        return get.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(get || (exports.get = get = {}));
//# sourceMappingURL=index.js.map