import { tags } from "typia";
export declare namespace IApiAppInstallations {
    type GetHeader = {
        /**
         * The unique identifier of the installation.
         */
        installation_id: number & tags.Type<"int32">;
    };
    type GetQuery = {
        outdated?: string;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the installation.
         */
        installation_id: number & tags.Type<"int32">;
    };
}
