export declare namespace IApiOrgsMemberships {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
    type PutHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
}
