import { tags } from "typia";
export declare namespace IApiTeamsMembers {
    type GetHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
    type GetQuery = {};
    type PutHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
}
